// ActiveStamp Customization /////////////////////////////////////////

$stampTextColor: #1e2a33 !default;
$stampTextActiveColor: #fff !default;
$stampTextTable: #7f8c8d !default;
$stampActiveColor: #e73c3c !default;
$stampHeaderBck: #1e2a33 !default;
$stampHeaderTextColor: #FFFFFF !default;
$stampFontFamily: 'Source Sans Pro', sans-serif !default;
$panelHeaderBck: #2c3e50 !default;
$panelHeaderTextColor: #FFFFFF !default;
$stampLogo: #e73c3c image-url("favicon.png") no-repeat 55px 10px !default;

//////////////////////////////////////////////////////////////////////

// SASS variable overrides must be declared before loading up Active Admin's styles.
//
// To view the variables that Active Admin provides, take a look at
// `app/assets/stylesheets/active_admin/mixins/_variables.scss` in the
// Active Admin source.
//
// For example, to change the sidebar width:
// $sidebar-width: 242px;

// Active Admin's got SASS!
@import "active_admin/mixins";
@import "active_admin/base";
//@import "sociable/admin";
@import "admin_toolbox/action_bar";
//@import "articular";
@import "admin_stamp";
@import "evergreen";
@import "pubdraft";
@import "font-awesome";
//@import "flatpickr.base16.min";

// Overriding any non-variable SASS must be done after the fact.
// For example, to change the default status-tag color:
//
//   .status_tag { background: #6090DB; }

#header h1.site_title {
	background-size: 35%;
}

.sortable-tree {
  width: 90%;
  float: left;
}

#cke_page_hero {
    width: 80%;
}

#main_content_wrapper {
  padding-bottom: 2rem;
}

form fieldset ol > li {
  clear: both;
}

.ck.ck-dropdown.ck-heading-dropdown .ck-dropdown__button .ck-button__label {
  text-shadow: none;
}

form input[type="submit"], form input[type="button"], form button {
  box-shadow: none;
  text-shadow: none;
}

.ck.ck-content {
  p {
    font-size: 16px;
    line-height: 1.5;
    color: #1c1c1c;
    font-family: "gira-sans", Georgia, Times, 'Times New Roman', serif;
    margin: 1rem 0;
  }
  ul {
    list-style-type: disc;
    margin: 0 0 0 1rem;
  }
  ol {
    list-style-type: decimal;
    margin: 0 0 0 1rem;
  }
  li {
    font-size: 16px;
    line-height: 1.5;
    color: #1c1c1c;
    font-family: "gira-sans", Georgia, Times, 'Times New Roman', serif;
  }
  h1, h2, h3, h4, h5 {
    font-family: "fira-sans", "Avenir", "Helvetica Neue", Arial, sans-serif;
  }
  .lead {
	  font-family: "fira-sans", "Avenir", "Helvetica Neue", Arial, sans-serif;
	  font-weight: 300;
	  margin: 1rem 0;
	  font-size: 1.5rem;
	  line-height: 1.4;
	}
}

form fieldset.inputs legend span {
  font-size: 1rem;
  font-weight: normal;
}

form fieldset ol > li label {
  font-weight: normal;
  color: #333;
}

.ck.ck-sticky-panel .ck-sticky-panel__content_sticky {
  top: 84px;
}